﻿using System;
using System.Runtime.InteropServices;

public class Class1
{
#if NET5_0
    [UnmanagedCallersOnly(EntryPoint = "mymethod_net5")]
#else
    [UnmanagedCallersOnly(EntryPoint = "mymethod_netstd1_1")]
#endif
    public static void MyMethod(IntPtr ptrText)
    {
        string text = Marshal.PtrToStringUni(ptrText);
#if NET5_0
        Console.WriteLine($"{DateTime.Now} {text}");
#endif
    }
}

namespace System.Runtime.InteropServices
{
#if !NET5_0
    [AttributeUsage(AttributeTargets.Method)]
    public sealed class UnmanagedCallersOnlyAttribute : Attribute
    {
        public string EntryPoint;
        public CallingConvention CallingConvention;
        public UnmanagedCallersOnlyAttribute() { }
    }
#endif
}